package cn.iocoder.yudao.module.safe.controller.admin.camera.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import com.alibaba.excel.annotation.*;
import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;

@Schema(description = "用户 APP - 安防前端设备 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AppSafeCameraRespVO {

    @Schema(description = "设备ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9770")
    @ExcelProperty("设备ID")
    private Long id;

    @Schema(description = "名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("编号")
    private String code;

    @Schema(description = "排序")
    @ExcelProperty("排序")
    private Integer sort;

    @Schema(description = "类型")
    @ExcelProperty(value = "类型", converter = DictConvert.class)
    @DictFormat("safe_camera_type") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private String type;

    @Schema(description = "后端设备", requiredMode = Schema.RequiredMode.REQUIRED, example = "30230")
    @ExcelProperty("后端设备")
    private Long serverId;

    @Schema(description = "AI模型")
    @ExcelProperty(value = "AI模型", converter = DictConvert.class)
    @DictFormat("safe_ai_mode") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private String aiMode;

    @Schema(description = "报警状态")
    @ExcelProperty(value = "报警状态", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private String warn;

    @Schema(description = "报警接口")
    @ExcelProperty("报警接口")
    private String warnApi;

    @Schema(description = "描述")
    @ExcelProperty("描述")
    private String des;

}
