package cn.iocoder.yudao.module.safe.controller.admin.camera.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import jakarta.validation.constraints.*;

@Schema(description = "用户 APP - 安防前端设备新增/修改 Request VO")
@Data
public class AppSafeCameraSaveReqVO {

    @Schema(description = "设备ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9770")
    private Long id;

    @Schema(description = "名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @NotEmpty(message = "名称不能为空")
    private String name;

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "编号不能为空")
    private String code;

    @Schema(description = "排序")
    private Integer sort;

    @Schema(description = "类型")
    private String type;

    @Schema(description = "后端设备", requiredMode = Schema.RequiredMode.REQUIRED, example = "30230")
    @NotNull(message = "后端设备不能为空")
    private Long serverId;

    @Schema(description = "AI模型")
    private String aiMode;

    @Schema(description = "报警状态")
    private String warn;

    @Schema(description = "报警接口")
    private String warnApi;

    @Schema(description = "描述")
    private String des;

}
