package cn.iocoder.yudao.module.safe.controller.admin.server.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import jakarta.validation.constraints.*;

@Schema(description = "用户 APP - 安防后端设备新增/修改 Request VO")
@Data
public class AppSafeServerSaveReqVO {

    @Schema(description = "服务ID", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "名称", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @Schema(description = "类型")
    private String type;

    @Schema(description = "品牌")
    private String brand;

    @Schema(description = "型号")
    private String model;

    @Schema(description = "所属机构")
    private Long orgId;

    @Schema(description = "接入协议", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "接入协议不能为空")
    private String protocol;

    @Schema(description = "地址", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "地址不能为空")
    private String ip;

    @Schema(description = "端口", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "端口不能为空")
    private Integer port;

    @Schema(description = "服务域", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "服务域不能为空")
    private String domain;

    @Schema(description = "用户名")
    private String username;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "描述")
    private String desc;

}
