package cn.iocoder.yudao.module.safe.dal.dataobject.camera;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 安防前端设备 DO
 *
 * @author caoyang
 */
@TableName("pro_econ_safe_camera")
@KeySequence("pro_econ_safe_camera_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SafeCameraDO extends BaseDO {

    /**
     * 设备ID
     */
    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 编号
     */
    private String code;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 类型
     *
     * 枚举 {@link TODO safe_camera_type 对应的类}
     */
    @TableField("type_dict")
    private String type;
    /**
     * 后端设备
     */
    private Long serverId;
    /**
     * AI模型
     *
     * 枚举 {@link TODO safe_ai_mode 对应的类}
     */
    @TableField("ai_mode_dict")
    private String aiMode;
    /**
     * 报警状态
     *
     * 枚举 {@link TODO common_status 对应的类}
     */
    @TableField("warn_dict")
    private String warn;
    /**
     * 报警接口
     */
    private String warnApi;
    /**
     * 描述
     */
    @TableField("description")
    private String des;

}
