package cn.iocoder.yudao.module.safe.dal.dataobject.server;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 安防后端设备 DO
 *
 * @author caoyang
 */
@TableName("pro_econ_safe_server")
@KeySequence("pro_econ_safe_server_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SafeServerDO extends BaseDO {

    /**
     * 服务ID
     */
    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 类型
     *
     * 枚举 {@link TODO safe_device_type 对应的类}
     */
    @TableField("type_dict")
    private String type;
    /**
     * 品牌
     */
    private String brand;
    /**
     * 型号
     */
    private String model;
    /**
     * 所属机构
     */
    private Long orgId;
    /**
     * 接入协议
     *
     * 枚举 {@link TODO safe_device_protocol 对应的类}
     */
    @TableField("protocol_dict")
    private String protocol;
    /**
     * 地址
     */
    private String ip;
    /**
     * 端口
     */
    private Integer port;
    /**
     * 服务域
     */
    private String domain;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 描述
     */
    @TableField("description")
    private String des;

}
