package cn.iocoder.yudao.module.safe.service.camera;

import jakarta.validation.*;
import cn.iocoder.yudao.module.safe.controller.admin.camera.vo.*;
import cn.iocoder.yudao.module.safe.dal.dataobject.camera.SafeCameraDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 安防前端设备 Service 接口
 *
 * @author caoyang
 */
public interface SafeCameraService {

    /**
     * 创建安防前端设备
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCamera(@Valid AppSafeCameraSaveReqVO createReqVO);

    /**
     * 更新安防前端设备
     *
     * @param updateReqVO 更新信息
     */
    void updateCamera(@Valid AppSafeCameraSaveReqVO updateReqVO);

    /**
     * 删除安防前端设备
     *
     * @param id 编号
     */
    void deleteCamera(Long id);

    /**
     * 获得安防前端设备
     *
     * @param id 编号
     * @return 安防前端设备
     */
    SafeCameraDO getCamera(Long id);

    /**
     * 获得安防前端设备分页
     *
     * @param pageReqVO 分页查询
     * @return 安防前端设备分页
     */
    PageResult<SafeCameraDO> getCameraPage(AppSafeCameraPageReqVO pageReqVO);

}
